This is a Laravel 5 package that provides cm management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `youssef/cm`.

    "youssef/cm": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Youssef\Cm\Providers\CmServiceProvider::class,

```

And also add it to alias

```php
'Cm'  => Youssef\Cm\Facades\Cm::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Youssef\Cm\Providers\CmServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


